Get CDN zone and DNS record information

Retrieve information about your CDN zones, including their status, settings, and associated DNS records. You need to provide the domain name to fetch the data. This endpoint returns IDs that can be used for subsequent DNS management calls.

Domain Services Domains

Context

Used in the dashboard

/cdn

Query Parameters

domain string required · Example: example.com
include_records string · Example: true

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.enabled boolean required · Example: true
data.exists boolean required · Example: true
data.geo_whitelist object
data.geo_whitelist.additional array<string> required · Example: ["FI","IS"]
data.geo_whitelist.combined array<string> required · Example: ["SE"]
data.geo_whitelist.standard array<string> required · Example: ["SE"]
data.geo_whitelist_countries string · nullable · Example: FI,IS

Nullable: may be null when not applicable.

data.lastSync string · nullable · Example: 2026-02-10 00:00:00

Nullable: may be null when not applicable.

data.lastWebhook string · nullable · Example: 2026-02-10 00:00:00

Nullable: may be null when not applicable.

data.name string required · Example: example.com
data.recordCount integer required · Example: 4
data.records array<object> required · Example: [{"record_id":"76313da23e7ab7f55345f7ff9d69480e","type":"A","name":"example.com","conte...
data.records[].content string required · Example: 192.0.0.1
data.records[].created_on string required · Example: 2026-02-10 00:00:00
data.records[].name string required · Example: example.com
data.records[].priority integer · nullable required · Example: 10

Nullable: may be null when not applicable.

data.records[].proxied boolean required · Example: false
data.records[].proxy_rule object required
data.records[].proxy_rule.description string · Example: Auto-created for A record
data.records[].proxy_rule.exists boolean required · Example: false
data.records[].proxy_rule.priority integer · Example: 50
data.records[].proxy_rule.proxied boolean · Example: true
data.records[].record_id string required · Example: 76313da23e7ab7f55345f7ff9d69480e
data.records[].ttl integer required · Example: 300
data.records[].type string · enum required · Example: A
A
CNAME
MX
data.records[].updated_on string required · Example: 2026-02-10 00:00:00
data.securitySettingsUpdated boolean · Example: false
data.settings object required
data.settings.alwaysOnline boolean · Example: true
data.settings.alwaysUseHttps boolean · Example: true
data.settings.blockBadBots boolean · Example: true
data.settings.blockBadCrawlers boolean · Example: true
data.settings.botProtection boolean · Example: true
data.settings.customWafIpAllowlist array<object> · Example: []
data.settings.customWafPathAllowlist array<object> · Example: []
data.settings.customWafUaAllowlist array<object> · Example: []
data.settings.ddosMode string · Example: medel
data.settings.dnssecEnabled boolean · Example: true
data.settings.earlyHints boolean · Example: true
data.settings.koalityengineAllowlist boolean · Example: false
data.settings.minTlsVersion string · enum · Example: 1.1
1.1
1.2
data.settings.nonSwedenTrafficAction string · Example: challenge
data.settings.proxy boolean · Example: true
data.settings.purgeCache boolean · Example: false
data.settings.sslMode string · enum · Example: full
flexible
full
off
data.settings.wafChallengeGeoEnabled boolean · Example: true
data.settings.wafSkipEnabled boolean · Example: true
data.settings.wpLoginProtection boolean · Example: true
data.settings.wpadminChallenge boolean · Example: false
data.status string · enum required · Example: active
active
not_found
data.zoneId string · nullable required · Example: e6c635f3b0699379b026f8917f4c704c

Nullable: may be null when not applicable.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/cdn/zones
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/cdn/zones?domain=example.com" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "exists": true,
    "enabled": true,
    "status": "active",
    "zoneId": "e6c635f3b0699379b026f8917f4c704c",
    "name": "example.com",
    "settings": {
      "proxy": true,
      "ddosMode": "medel",
      "alwaysUseHttps": true,
      "nonSwedenTrafficAction": "challenge",
      "sslMode": "full",
      "minTlsVersion": "1.1",
      "botProtection": true,
      "blockBadCrawlers": true,
      "wpLoginProtection": true,
      "wpadminChallenge": false,
      "blockBadBots": true,
      "earlyHints": true,
      "alwaysOnline": true,
      "purgeCache": false,
      "koalityengineAllowlist": false,
      "wafSkipEnabled": true,
      "wafChallengeGeoEnabled": true,
      "customWafIpAllowlist": [],
      "customWafUaAllowlist": [],
      "customWafPathAllowlist": [],
      "dnssecEnabled": true
    },
    "lastWebhook": "2026-02-10 00:00:00",
    "lastSync": "2026-02-10 00:00:00",
    "securitySettingsUpdated": false,
    "geo_whitelist": {
      "standard": [
        "SE"
      ],
      "additional": [],
      "combined": [
        "SE"
      ]
    },
    "geo_whitelist_countries": null,
    "records": [
      {
        "record_id": "76313da23e7ab7f55345f7ff9d69480e",
        "type": "A",
        "name": "example.com",
        "content": "192.0.0.1",
        "ttl": 300,
        "priority": null,
        "proxied": false,
        "created_on": "2026-02-10 00:00:00",
        "updated_on": "2026-02-10 00:00:00",
        "proxy_rule": {
          "exists": false
        }
      },
      {
        "record_id": "329cc9365ec51eb019f19ced5d7cdda6",
        "type": "A",
        "name": "example.com",
        "content": "192.0.0.1",
        "ttl": 3600,
        "priority": null,
        "proxied": false,
        "created_on": "2026-02-10 00:00:00",
        "updated_on": "2026-02-10 00:00:00",
        "proxy_rule": {
          "exists": false
        }
      },
      {
        "_truncated": "... and 2 more items"
      }
    ],
    "recordCount": 4
  }
}